> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorization

> Getting your banks authorization to be link with Flick



## OpenAPI

````yaml /openapi/financial-data.json post /auth
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /auth:
    post:
      tags:
        - Auth
      summary: Authorization
      description: Getting your banks authorization to be link with Flick
      operationId: initializing auth
      requestBody:
        description: Getting your ID to link with Flick
        content:
          application/json:
            schema: {}
        required: true
      responses:
        '200':
          description: Coming Soon
          content:
            application/json:
              schema: {}
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.